#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <stdio.h>
#include <string.h>
#include "typedefs.h"

#define DOT  1
#define DASH 0

#define nop() __asm__ volatile("nop");

/*     ADC */
#define ADC_PORT_DIR      DDRA

//     FT ( )
#define MORSE_FREQUENCY_STEP (UINT8)((1024UL*FT/(F_CPU/510UL))+0.5)

//  
#define EXCLAMATION_MARK     0x21

// 
#define SPACE                0x20

//  
void ADCInit(void);
UINT16 GetADC (void);
void ADCwork(void);
void PressPTT(void);
void ReleasePTT(void);
void Init(void);
void Wait(UINT16 delay);
void PlaySign(UINT8 sign);
void wait_ms(UINT16 pause);
void wait_us(UINT16 pause);
